# jeeves

Jeeves will take care of your boring tasks so you don't have to worry.

![Python 3.7+](https://img.shields.io/badge/python-3.7%2B-blue)

## Contributing

You need [poetry](https://poetry.eustace.io/) to manage this project dependencies. Go to the provided link to get more information.

Running this will use _poetry_ to generate a virtualenv, install all required dependencies and initialize a database with an admin user.

``` bash
make quicksetup
```

To run the webserver run this and then access [http://localhost:8000/admin](http://localhost:8000/admin) with credentials `admin`/`Qwer1234`

``` bash
poetry run python manage.py runserver
```

To run the test suite:

``` bash
DJANGO_SETTINGS_MODULE=jeeves.settings pytest .
```
